| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
PropertyAlg Class Reference

Trivial Algorithm for tutotial purposes. More...

`#include <src/Test/PropertyAlg.h>`

Inheritance diagram for PropertyAlg:
[legend]
Collaboration diagram for PropertyAlg:
[legend]

## Public Member Functions
| PropertyAlg (const std::string &name, ISvcLocator *pSvcLocator)
| Constructor of this form must be provided. More...
StatusCode | initialize ()
| Three mandatory member functions of any algorithm. More...
StatusCode | execute ()
StatusCode | finalize ()
Public Member Functions inherited from Algorithm
| Algorithm (const std::string &name, ISvcLocator *svcloc, const std::string &version=PACKAGE_VERSION)
| Constructor. More...
| ~Algorithm () override=default
| Destructor. More...
StatusCode | sysStart () override
| Reinitialization method invoked by the framework. More...
StatusCode | sysInitialize () override
| Initialization method invoked by the framework. More...
StatusCode | sysReinitialize () override
| Reinitialization method invoked by the framework. More...
StatusCode | sysRestart () override
| Restart method invoked by the framework. More...
StatusCode | sysExecute () override
| The actions to be performed by the algorithm on an event. More...
StatusCode | sysStop () override
| System stop. More...
StatusCode | sysFinalize () override
| System finalization. More...
StatusCode | sysBeginRun () override
| beginRun method invoked by the framework. More...
StatusCode | sysEndRun () override
| endRun method invoked by the framework. More...
const std::string & | name () const override
| The identifying name of the algorithm object. More...
const Gaudi::StringKey & | nameKey () const override
const std::string & | type () const override
| The type of the algorithm object. More...
void | setType (const std::string &type) override
const std::string & | version () const override
unsigned int | index () const override
StatusCode | configure () override
| Dummy implementation of IStateful::configure() method. More...
StatusCode | terminate () override
| Dummy implementation of IStateful::terminate() method. More...
StatusCode | initialize () override
| the default (empty) implementation of IStateful::initialize() method More...
StatusCode | start () override
| the default (empty) implementation of IStateful::start() method More...
StatusCode | stop () override
| the default (empty) implementation of IStateful::stop() method More...
StatusCode | finalize () override
| the default (empty) implementation of IStateful::finalize() method More...
StatusCode | reinitialize () override
| the default (empty) implementation of IStateful::reinitialize() method More...
StatusCode | restart () override
| the default (empty) implementation of IStateful::restart() method More...
Gaudi::StateMachine::State | FSMState () const override
| returns the current state of the algorithm More...
Gaudi::StateMachine::State | targetFSMState () const override
| returns the state the algorithm will be in after the ongoing transition More...
bool | isExecuted () const override
| Has this algorithm been executed since the last reset? More...
void | setExecuted (bool state) override
| Set the executed flag to the specified state. More...
void | resetExecuted () override
| Reset the executed state of the Algorithm for the duration of the current event. More...
StatusCode | beginRun () override
| Algorithm begin run. More...
StatusCode | endRun () override
| Algorithm end run. This method is called at the end of the event loop. More...
bool | isEnabled () const override
| Is this algorithm enabled or disabled? More...
bool | filterPassed () const override
| Did this algorithm pass or fail its filter criterion for the last event? More...
void | setFilterPassed (bool state) override
| Set the filter passed flag to the specified state. More...
int | errorCount () const
| Get the number of failures of the algorithm. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
SmartIF< IService > | service (const std::string &name, const bool createIf=true, const bool quiet=false) const
| Return a pointer to the service identified by name (or "type/name") More...
template<class T >
SmartIF< T > | service (const std::string &name, bool createIf=true, bool quiet=false) const
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
SmartIF< IChronoStatSvc > & | chronoSvc () const
| The standard Chrono & Stat service, Return a pointer to the service if present. More...
SmartIF< IChronoStatSvc > & | chronoStatService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IDataProviderSvc > & | detSvc () const
| The standard detector data service. More...
SmartIF< IDataProviderSvc > & | detDataService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IConversionSvc > & | detCnvSvc () const
| The standard detector data persistency conversion service. More...
SmartIF< IConversionSvc > & | detDataCnvService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IDataProviderSvc > & | eventSvc () const
| The standard event data service. More...
SmartIF< IDataProviderSvc > & | evtSvc () const
| shortcut for method eventSvc More...
SmartIF< IDataProviderSvc > & | eventDataService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IConversionSvc > & | eventCnvSvc () const
| The standard event data persistency conversion service. More...
SmartIF< IConversionSvc > & | eventDataCnvService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IHistogramSvc > & | histoSvc () const
| The standard histogram service. More...
SmartIF< IHistogramSvc > & | histogramDataService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< INTupleSvc > & | ntupleSvc () const
| The standard N tuple service. More...
SmartIF< INTupleSvc > & | ntupleService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IRndmGenSvc > & | randSvc () const
| AIDA-based NTuple service Returns a pointer to the AIDATuple service if present. More...
SmartIF< IToolSvc > & | toolSvc () const
| The standard ToolSvc service, Return a pointer to the service if present. More...
SmartIF< IExceptionSvc > & | exceptionSvc () const
| Get the exception Service. More...
SmartIF< IAlgContextSvc > & | contextSvc () const
| get Algorithm Context Service More...
SmartIF< ITimelineSvc > & | timelineSvc () const
SmartIF< ISvcLocator > & | serviceLocator () const override
| The standard service locator. More...
SmartIF< ISvcLocator > & | svcLoc () const
| shortcut for method serviceLocator More...
SmartIF< IHiveWhiteBoard > & | whiteboard () const
bool | registerContext () const
| register for Algorithm Context Service? More...
StatusCode | createSubAlgorithm (const std::string &type, const std::string &name, Algorithm *&pSubAlg)
| Create a sub algorithm. More...
const std::vector< Algorithm * > * | subAlgorithms () const
| List of sub-algorithms. Returns a pointer to a vector of (sub) Algorithms. More...
std::vector< Algorithm * > * | subAlgorithms ()
| List of sub-algorithms. Returns a pointer to a vector of (sub) Algorithms. More...
StatusCode | setProperty (const Property &p) override
| Implementation of IProperty::setProperty. More...
StatusCode | setProperty (const std::string &s) override
| Implementation of IProperty::setProperty. More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| Implementation of IProperty::setProperty. More...
StatusCode | getProperty (Property *p) const override
| Implementation of IProperty::getProperty. More...
const Property & | getProperty (const std::string &name) const override
| Implementation of IProperty::getProperty. More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| Implementation of IProperty::getProperty. More...
const std::vector< Property * > & | getProperties () const override
| Implementation of IProperty::getProperties. More...
bool | hasProperty (const std::string &name) const override
| Implementation of IProperty::hasProperty. More...
PropertyMgr * | getPropertyMgr ()
StatusCode | setProperties ()
| Set the algorithm's properties. More...
template<class T >
Property * | declareProperty (const std::string &name, T &property, const std::string &doc="none") const
| Declare the named property. More...
Property * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="") const
| Declare remote named properties. More...
template<class T >
Property * | declareProperty (const std::string &name, ToolHandle< T > &hndl, const std::string &doc="none") const
template<class T >
Property * | declareProperty (const std::string &name, ToolHandleArray< T > &hndlArr, const std::string &doc="none") const
SmartIF< IMonitorSvc > & | monitorSvc () const
| Access the monitor service. More...
template<class T >
void | declareInfo (const std::string &name, const T &var, const std::string &desc) const
| Declare monitoring information. More...
void | declareInfo (const std::string &name, const std::string &format, const void *var, int size, const std::string &desc) const
| Declare monitoring information (special case) More...
template<class TYPE >
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
EventContext * | getContext () const
| get the context More...
void | setContext (EventContext *context)
| set the context More...
virtual std::vector< Gaudi::DataHandle * > | inputHandles () const override
virtual std::vector< Gaudi::DataHandle * > | outputHandles () const override
virtual const DataObjIDColl & | extraInputDeps () const override
virtual const DataObjIDColl & | extraOutputDeps () const override
virtual void | acceptDHVisitor (IDataHandleVisitor *) const override
const DataObjIDColl & | inputDataObjs () const
const DataObjIDColl & | outputDataObjs () const
void | commitHandles () override
void | registerTool (IAlgTool *tool) const
void | deregisterTool (IAlgTool *tool) const
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
const std::vector< IAlgTool * > & | tools () const
bool | isClonable () const override
| Specifies the clonability of the algorithm. More...
unsigned int | cardinality () const override
| Return the cardinality. More...
const std::vector< std::string > & | neededResources () const override
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...

## Private Attributes
bool | m_bool
| These data members are used in the execution of this algorithm They are set in the initialisation phase by the job options service. More...
char | m_char
signed char | m_schar
unsigned char | m_uchar
short | m_short
unsigned short | m_ushort
int | m_int
unsigned int | m_uint
long | m_long
unsigned long | m_ulong
long long | m_longlong
unsigned long long | m_ulonglong
float | m_float
double | m_double
std::string | m_string
std::vector< bool > | m_boolarray
std::vector< char > | m_chararray
std::vector< unsigned char > | m_uchararray
std::vector< signed char > | m_schararray
std::vector< short > | m_shortarray
std::vector< unsigned short > | m_ushortarray
std::vector< int > | m_intarray
std::vector< unsigned int > | m_uintarray
std::vector< long > | m_longarray
std::vector< unsigned long > | m_ulongarray
std::vector< long long > | m_longlongarray
std::vector< unsigned long long > | m_ulonglongarray
std::vector< float > | m_floatarray
std::vector< double > | m_doublearray
std::vector< std::string > | m_stringarray

## Additional Inherited Members
Public Types inherited from Algorithm
typedef Gaudi::PluginService::Factory< IAlgorithm *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from CommonMessaging< implements< IAlgorithm, IDataHandleHolder, IProperty, IStateful > >
using | base_class = CommonMessaging
Protected Member Functions inherited from Algorithm
virtual void | declareInput (Gaudi::DataHandle *im) override
virtual void | declareOutput (Gaudi::DataHandle *im) override
std::vector< IAlgTool * > & | tools ()
bool | isInitialized () const override
| Has the Algorithm already been initialized? More...
bool | isFinalized () const override
| Has the Algorithm already been finalized? More...
void | setIndex (const unsigned int &idx) override
| set instantiation index of Alg More...
Protected Member Functions inherited from CommonMessaging< implements< IAlgorithm, IDataHandleHolder, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from Algorithm
EventContext * | m_event_context
| Event specific data for multiple event processing. More...
SmartIF< PropertyMgr > | m_propertyMgr
| For management of properties. More...
std::unique_ptr< IDataHandleVisitor > | m_updateDataHandles
| Hook for for derived classes to provide a custom visitor for data handles. More...

## Detailed Description

Trivial Algorithm for tutotial purposes.

Author
  nobody

Definition at line 14 of file PropertyAlg.h.

## Constructor & Destructor Documentation

PropertyAlg::PropertyAlg | ( | const std::string & | name,
|  | ISvcLocator * | pSvcLocator
| ) |  |

Constructor of this form must be provided.

Definition at line 16 of file PropertyAlg.cpp.

17 : Algorithm(name, ploc) {
18 //------------------------------------------------------------------------------
19 // Declare the algorithm's properties
20
21 declareProperty( "Bool", m_bool = true);
22 declareProperty( "Char", m_char = 100);
23 declareProperty( "Uchar", m_uchar = 100);
24 declareProperty( "Schar", m_schar = 100);
25 declareProperty( "Short", m_short = 100);
26 declareProperty( "Ushort", m_ushort = 100);
27 declareProperty( "Int", m_int = 100);
28 declareProperty( "Uint", m_uint = 100);
29 declareProperty( "Long", m_long = 100L);
30 declareProperty( "Ulong", m_ulong = 100L);
31 declareProperty( "Longlong", m_longlong = 100LL);
32 declareProperty( "Ulonglong", m_ulonglong = 100LL);
33 declareProperty( "Float", m_float = 100.0F);
34 declareProperty( "Double", m_double = 100.);
35 declareProperty( "String", m_string = "hundred");
36
37 declareProperty( "BoolArray", m_boolarray );
38 declareProperty( "CharArray", m_chararray );
39 declareProperty( "UcharArray", m_uchararray );
40 declareProperty( "ScharArray", m_schararray );
41 declareProperty( "ShortArray", m_shortarray );
42 declareProperty( "UshortArray", m_ushortarray );
43 declareProperty( "IntArray", m_intarray );
44 declareProperty( "UintArray", m_uintarray );
45 declareProperty( "LongArray", m_longarray );
46 declareProperty( "UlongArray", m_ulongarray );
47 declareProperty( "LonglongArray", m_longlongarray );
48 declareProperty( "UlonglongArray", m_ulonglongarray );
49 declareProperty( "FloatArray", m_floatarray );
50 declareProperty( "DoubleArray", m_doublearray );
51 declareProperty( "StringArray", m_stringarray );
52
53 }
PropertyAlg::m_uchararray
std::vector< unsigned char > m_uchararray
Definition: PropertyAlg.h:46
PropertyAlg::m_double
double m_double
Definition: PropertyAlg.h:41
PropertyAlg::m_ulonglong
unsigned long long m_ulonglong
Definition: PropertyAlg.h:39
PropertyAlg::m_intarray
std::vector< int > m_intarray
Definition: PropertyAlg.h:50
PropertyAlg::m_char
char m_char
Definition: PropertyAlg.h:29
PropertyAlg::m_short
short m_short
Definition: PropertyAlg.h:32
PropertyAlg::m_float
float m_float
Definition: PropertyAlg.h:40
Algorithm::declareProperty
Property * declareProperty(const std::string &name, T &property, const std::string &doc="none") const
Declare the named property.
Definition: Algorithm.h:426
PropertyAlg::m_uchar
unsigned char m_uchar
Definition: PropertyAlg.h:31
PropertyAlg::m_uintarray
std::vector< unsigned int > m_uintarray
Definition: PropertyAlg.h:51
PropertyAlg::m_ulonglongarray
std::vector< unsigned long long > m_ulonglongarray
Definition: PropertyAlg.h:55
PropertyAlg::m_ulongarray
std::vector< unsigned long > m_ulongarray
Definition: PropertyAlg.h:53
PropertyAlg::m_shortarray
std::vector< short > m_shortarray
Definition: PropertyAlg.h:48
PropertyAlg::m_schar
signed char m_schar
Definition: PropertyAlg.h:30
PropertyAlg::m_boolarray
std::vector< bool > m_boolarray
Definition: PropertyAlg.h:44
PropertyAlg::m_string
std::string m_string
Definition: PropertyAlg.h:42
PropertyAlg::m_bool
bool m_bool
These data members are used in the execution of this algorithm They are set in the initialisation pha...
Definition: PropertyAlg.h:28
PropertyAlg::m_longlongarray
std::vector< long long > m_longlongarray
Definition: PropertyAlg.h:54
PropertyAlg::m_schararray
std::vector< signed char > m_schararray
Definition: PropertyAlg.h:47
Algorithm::Algorithm
Algorithm(const std::string &name, ISvcLocator *svcloc, const std::string &version=PACKAGE_VERSION)
Constructor.
Definition: Algorithm.cpp:43
PropertyAlg::m_stringarray
std::vector< std::string > m_stringarray
Definition: PropertyAlg.h:58
PropertyAlg::m_ushort
unsigned short m_ushort
Definition: PropertyAlg.h:33
PropertyAlg::m_longarray
std::vector< long > m_longarray
Definition: PropertyAlg.h:52
PropertyAlg::m_longlong
long long m_longlong
Definition: PropertyAlg.h:38
PropertyAlg::m_ushortarray
std::vector< unsigned short > m_ushortarray
Definition: PropertyAlg.h:49
PropertyAlg::m_int
int m_int
Definition: PropertyAlg.h:34
PropertyAlg::m_doublearray
std::vector< double > m_doublearray
Definition: PropertyAlg.h:57
PropertyAlg::m_uint
unsigned int m_uint
Definition: PropertyAlg.h:35
PropertyAlg::m_floatarray
std::vector< float > m_floatarray
Definition: PropertyAlg.h:56
PropertyAlg::m_chararray
std::vector< char > m_chararray
Definition: PropertyAlg.h:45
PropertyAlg::m_long
long m_long
Definition: PropertyAlg.h:36
PropertyAlg::m_ulong
unsigned long m_ulong
Definition: PropertyAlg.h:37

## Member Function Documentation

StatusCode PropertyAlg::execute | ( |  | ) |
| inline

Definition at line 21 of file PropertyAlg.h.

21 { return StatusCode::SUCCESS; }
StatusCode::SUCCESS
Definition: StatusCode.h:30

StatusCode PropertyAlg::finalize | ( |  | ) |
| inline

Definition at line 22 of file PropertyAlg.h.

22 { return StatusCode::SUCCESS; }
StatusCode::SUCCESS
Definition: StatusCode.h:30

StatusCode PropertyAlg::initialize | ( |  | ) |
| inline

Three mandatory member functions of any algorithm.

Definition at line 20 of file PropertyAlg.h.

20 { return StatusCode::SUCCESS; }
StatusCode::SUCCESS
Definition: StatusCode.h:30

## Member Data Documentation

bool PropertyAlg::m_bool
| private

These data members are used in the execution of this algorithm They are set in the initialisation phase by the job options service.

Definition at line 28 of file PropertyAlg.h.

std::vector<bool> PropertyAlg::m_boolarray
| private

Definition at line 44 of file PropertyAlg.h.

char PropertyAlg::m_char
| private

Definition at line 29 of file PropertyAlg.h.

std::vector<char> PropertyAlg::m_chararray
| private

Definition at line 45 of file PropertyAlg.h.

double PropertyAlg::m_double
| private

Definition at line 41 of file PropertyAlg.h.

std::vector<double> PropertyAlg::m_doublearray
| private

Definition at line 57 of file PropertyAlg.h.

float PropertyAlg::m_float
| private

Definition at line 40 of file PropertyAlg.h.

std::vector<float> PropertyAlg::m_floatarray
| private

Definition at line 56 of file PropertyAlg.h.

int PropertyAlg::m_int
| private

Definition at line 34 of file PropertyAlg.h.

std::vector<int> PropertyAlg::m_intarray
| private

Definition at line 50 of file PropertyAlg.h.

long PropertyAlg::m_long
| private

Definition at line 36 of file PropertyAlg.h.

std::vector<long> PropertyAlg::m_longarray
| private

Definition at line 52 of file PropertyAlg.h.

long long PropertyAlg::m_longlong
| private

Definition at line 38 of file PropertyAlg.h.

std::vector<long long> PropertyAlg::m_longlongarray
| private

Definition at line 54 of file PropertyAlg.h.

signed char PropertyAlg::m_schar
| private

Definition at line 30 of file PropertyAlg.h.

std::vector<signed char> PropertyAlg::m_schararray
| private

Definition at line 47 of file PropertyAlg.h.

short PropertyAlg::m_short
| private

Definition at line 32 of file PropertyAlg.h.

std::vector<short> PropertyAlg::m_shortarray
| private

Definition at line 48 of file PropertyAlg.h.

std::string PropertyAlg::m_string
| private

Definition at line 42 of file PropertyAlg.h.

std::vector<std::string> PropertyAlg::m_stringarray
| private

Definition at line 58 of file PropertyAlg.h.

unsigned char PropertyAlg::m_uchar
| private

Definition at line 31 of file PropertyAlg.h.

std::vector<unsigned char> PropertyAlg::m_uchararray
| private

Definition at line 46 of file PropertyAlg.h.

unsigned int PropertyAlg::m_uint
| private

Definition at line 35 of file PropertyAlg.h.

std::vector<unsigned int> PropertyAlg::m_uintarray
| private

Definition at line 51 of file PropertyAlg.h.

unsigned long PropertyAlg::m_ulong
| private

Definition at line 37 of file PropertyAlg.h.

std::vector<unsigned long> PropertyAlg::m_ulongarray
| private

Definition at line 53 of file PropertyAlg.h.

unsigned long long PropertyAlg::m_ulonglong
| private

Definition at line 39 of file PropertyAlg.h.

std::vector<unsigned long long> PropertyAlg::m_ulonglongarray
| private

Definition at line 55 of file PropertyAlg.h.

unsigned short PropertyAlg::m_ushort
| private

Definition at line 33 of file PropertyAlg.h.

std::vector<unsigned short> PropertyAlg::m_ushortarray
| private

Definition at line 49 of file PropertyAlg.h.

The documentation for this class was generated from the following files:

- GaudiPython/src/Test/PropertyAlg.h
- GaudiPython/src/Test/PropertyAlg.cpp